<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="IC-EDH-ID-00003" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [IC-EDH-ID-00003][Error] The dataItemCreateDateTime must not be later the
        ism:createDate.
        
        Human Readable: Data items cannot be newer than their security markings.
    </sch:p>
    <sch:p id="codeDesc">
        For EDH element DataItemCreateDateTime, ensure that the sibling ARH element,
        Security or ExternalSecurity, has ism:createDate that is not older than the
        data item itself.
    </sch:p>
    <sch:rule context="//*/edh:DataItemCreateDateTime">
        <sch:assert  
            test="not(. > dateTime(following-sibling::arh:*/@ism:createDate,xs:time('23:59:59Z')))"
            flag="error">
            [IC-EDH-ID-00003][Error] The dataItemCreateDateTime must not be later the
            ism:createDate.
            
            Human Readable: Data items cannot be newer than their security markings.
        </sch:assert>
    </sch:rule>
</sch:pattern>
