<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="IC-TDF-ID-00021" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
    	[IC-TDF-ID-00021][Error] For element TrustedDataObject, if any Assertion
    	elements are specified, then there must exist two independent 
    	HandlingAssertion elements, one with attribute scope specified with a 
    	value of [TDO] and the other with attribute scope specified with a 
    	value of [PAYL].
    	
    	Human Readable: If any Assertion elements are specified, then the instance
    	is not the minimal case and must specify markings for the payload
    	and the TDO instance separately.
    </sch:p>
	<sch:p id="codeDesc">
		For every TrustedDataObject with an Assertion child element, we ensure 
		that there exists two independent HandlingAssertion elements, one of 
		scope [TDO] and one of [PAYL].
	</sch:p>
	<sch:rule context="tdf:TrustedDataObject[tdf:Assertion]">
		<sch:assert
			test="not(tdf:HandlingAssertion[@tdf:scope='TDO PAYL'])"
			flag="error">
			[IC-TDF-ID-00021][Error] For element TrustedDataObject, if any Assertion
			elements are specified, then there must exist two independent 
			HandlingAssertion elements, one with attribute scope specified with a 
			value of [TDO] and the other with attribute scope specified with a 
			value of [PAYL].
			
			
			Human Readable: If any Assertion elements are specified, then the instance
			is not the minimal case and must specify markings for the payload
			and the TDO instance separately.
		</sch:assert>
    </sch:rule>
</sch:pattern>