<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="IRM-ID-00061" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [IRM-ID-00061][Error] If MIN_DISCOVERABLE_OR_GREATER, element
        ddms:resource must specify at least one of the following elements:
        ddms:creator, ddms:publisher, ddms:contributor, or ddms:pointOfContact.
        
        Human Readable: If this IRM instance complies with the minimum
        discoverability rules, then the DDMS card must specify a creator,
        publisher, contributor, or pointOfContact for the referenced resource.
    </sch:p>
    <sch:p id="codeDesc">
        If MIN_DISCOVERABLE_OR_GREATER, we make sure that element
        ddms:resource specifies at least one of the following elements:
        ddms:creator, ddms:publisher, ddms:contributor, or ddms:pointOfContact.
    </sch:p> 
    <sch:rule context="ddms:resource[$MIN_DISCOVERABLE_OR_GREATER]">
        <sch:assert 
            test="ddms:publisher or ddms:creator or ddms:contributor or ddms:pointOfContact"
            flag="error">
            [IRM-ID-00061][Error] If MIN_DISCOVERABLE_OR_GREATER, element
            ddms:resource must specify at least one of the following elements:
            ddms:creator, ddms:publisher, ddms:contributor, or ddms:pointOfContact.
            
            Human Readable: If this IRM instance complies with the minimum
            discoverability rules, then the DDMS card must specify a creator,
            publisher, contributor, or pointOfContact for the referenced resource.
        </sch:assert>
    </sch:rule>
</sch:pattern>