<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern is-a="ValidateValueExistenceInList" id="IRM-ID-00071"
    xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [IRM-ID-00071][Error]
        If element ddms:type has attribute @ddms:qualifier specified as
        [urn:us:gov:ic:cvenum:irm:maliciouscodeindicator]
        the attribute @ddms:value must be in CVEnumIRMMaliciousCodeIndicator.xml.
        
        Human Readable: Malicious Code Indicator values must be in the 
        CVEnumIRMMaliciousCodeIndicator CVE.
    </sch:p>
    
    <sch:p id="codeDesc">
        This rule uses an abstract pattern to consolidate logic. It checks that the
        value in parameter $searchTerm is contained in the parameter $list. The parameter
        $searchTerm is relative in scope to the parameter $context. The value for the parameter 
        $list is a variable defined in the main document (IRM_XML.sch), which reads 
        values from a specific CVE file.
    </sch:p>
    
    <sch:param name="ruleText" value="'
        [IRM-ID-00071][Error]
        If element ddms:type has attribute @ddms:qualifier specified as
        [urn:us:gov:ic:cvenum:irm:maliciouscodeindicator]
        the attribute @ddms:type must be in CVEnumIRMMaliciousCodeIndicator.xml.
        
        Human Readable: Malicious Code Indicator values must be in the 
        CVEnumIRMMaliciousCodeIndicator CVE.
        '"/>
    
    <sch:param name="codeDesc" value="'
        This rule uses an abstract pattern to consolidate logic. It checks that the
        value in parameter $searchTerm is contained in the parameter $list. The parameter
        $searchTerm is relative in scope to the parameter $context. The value for the parameter 
        $list is a variable defined in the main document (IRM_XML.sch), which reads 
        values from a specific CVE file.
        '"/>
    
    <sch:param name="context" value="ddms:type[@ddms:qualifier='urn:us:gov:ic:cvenum:irm:maliciouscodeindicator']"/>
    <sch:param name="searchTerm" value="@ddms:value"/>
    <sch:param name="list" value="$maliciousCodeIndicatorList"/>
    <sch:param name="errMsg" value="'
        [IRM-ID-00071][Error]
        If element ddms:type has attribute @ddms:qualifier specified as
        [urn:us:gov:ic:cvenum:irm:maliciouscodeindicator]
        the attribute @ddms:type must be in CVEnumIRMMaliciousCodeIndicator.xml.
        
        Human Readable: Malicious Code Indicator values must be in the 
        CVEnumIRMMaliciousCodeIndicator CVE.
        '"/>
</sch:pattern>